Saltar al contenido principal
DELETE
/
v3
/
organizations
/
{org_id}
/
knowledge
/
notes
/
{note_id}
Eliminar una nota a nivel de organización
curl --request DELETE \
  --url https://api.devin.ai/v3/organizations/{org_id}/knowledge/notes/{note_id} \
  --header 'Authorization: Bearer <token>'
{
  "access_type": "enterprise",
  "body": "<string>",
  "created_at": 123,
  "folder_id": "<string>",
  "folder_path": "<string>",
  "is_enabled": true,
  "macro": "<string>",
  "name": "<string>",
  "note_id": "<string>",
  "org_id": "<string>",
  "pinned_repo": "<string>",
  "trigger": "<string>",
  "updated_at": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Permisos

Requiere un usuario de servicio que tenga el permiso ManageAccountKnowledge para la organización especificada.

Autorizaciones

Authorization
string
header
requerido

Credencial de usuario de servicio (prefijo: cog_)

Parámetros de ruta

note_id
string
requerido

ID de nota de Knowledge (prefijo: note-)

Ejemplo:

"note-abc123def456"

Respuesta

Respuesta correcta

access_type
enum<string>
requerido
Opciones disponibles:
enterprise,
org
body
string
requerido
created_at
integer
requerido
folder_id
string | null
requerido
folder_path
string
requerido
is_enabled
boolean
requerido
macro
string | null
requerido
name
string
requerido
note_id
string
requerido
org_id
string | null
requerido
pinned_repo
string | null
requerido
trigger
string
requerido
updated_at
integer
requerido